xdmapcie: XDmaPcie Struct Reference

| xdmapcie Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDmaPcie Struct Reference

The XDmaPcie driver instance data. More...

## Data Fields
XDmaPcie_Config | Config
| Configuration data. More...
u32 | IsReady
| Is IP been initialized and ready. More...
u32 | MaxNumOfBuses
| If this is RC IP, Max Number of Buses. More...

## Detailed Description

The XDmaPcie driver instance data.

The user is required to allocate a variable of this type for every PCIe device in the system that will be using this API. A pointer to a variable of this type is passed to the driver API functions defined here.

## Field Documentation

XDmaPcie_Config XDmaPcie::Config

Configuration data.

Referenced by PcieInitRootComplex(), XDmaPcie_CfgInitialize(), XDmaPcie_ClearPendingInterrupts(), XDmaPcie_ClearRootPortErrFIFOMsg(), XDmaPcie_ClearRootPortIntFIFOReg(), XDmaPcie_DisableGlobalInterrupt(), XDmaPcie_DisableInterrupts(), XDmaPcie_EnableGlobalInterrupt(), XDmaPcie_EnableInterrupts(), XDmaPcie_GetBridgeInfo(), XDmaPcie_GetCapability(), XDmaPcie_GetEnabledInterrupts(), XDmaPcie_GetLocalBusBar2PcieBar(), XDmaPcie_GetPendingInterrupts(), XDmaPcie_GetPhyStatusCtrl(), XDmaPcie_GetRequesterId(), XDmaPcie_GetRootPortErrFIFOMsg(), XDmaPcie_GetRootPortIntFIFOReg(), XDmaPcie_GetRootPortStatusCtrl(), XDmaPcie_GetVsecCapability(), XDmaPcie_GetVsecHeader(), XDmaPcie_ReadLocalConfigSpace(), XDmaPcie_ReadRemoteConfigSpace(), XDmaPcie_SetLocalBusBar2PcieBar(), XDmaPcie_SetRootPortMSIBase(), XDmaPcie_SetRootPortStatusCtrl(), XDmaPcie_WriteLocalConfigSpace(), and XDmaPcie_WriteRemoteConfigSpace().

u32 XDmaPcie::IsReady

Is IP been initialized and ready.

Referenced by XDmaPcie_CfgInitialize(), XDmaPcie_ClearPendingInterrupts(), XDmaPcie_ClearRootPortErrFIFOMsg(), XDmaPcie_ClearRootPortIntFIFOReg(), XDmaPcie_DisableGlobalInterrupt(), XDmaPcie_DisableInterrupts(), XDmaPcie_EnableGlobalInterrupt(), XDmaPcie_EnableInterrupts(), XDmaPcie_GetBridgeInfo(), XDmaPcie_GetEnabledInterrupts(), XDmaPcie_GetPendingInterrupts(), XDmaPcie_GetPhyStatusCtrl(), XDmaPcie_GetRequesterId(), XDmaPcie_GetRootPortErrFIFOMsg(), XDmaPcie_GetRootPortIntFIFOReg(), XDmaPcie_GetRootPortStatusCtrl(), XDmaPcie_GetVsecCapability(), XDmaPcie_GetVsecHeader(), XDmaPcie_ReadLocalConfigSpace(), XDmaPcie_ReadRemoteConfigSpace(), XDmaPcie_SetRootPortMSIBase(), XDmaPcie_SetRootPortStatusCtrl(), XDmaPcie_WriteLocalConfigSpace(), and XDmaPcie_WriteRemoteConfigSpace().

u32 XDmaPcie::MaxNumOfBuses

If this is RC IP, Max Number of Buses.

Referenced by XDmaPcie_CfgInitialize(), XDmaPcie_ReadRemoteConfigSpace(), and XDmaPcie_WriteRemoteConfigSpace().